Edit Message
curl --request PATCH \
--url https://api.member.dev/api/v1/messages/{message_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"attachments": [
"<string>"
],
"body": "<string>",
"external_video_embeds": [
"<string>"
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.member.dev/api/v1/messages/{message_id}"
payload = { "data": {
"attributes": {
"attachments": ["<string>"],
"body": "<string>",
"external_video_embeds": ["<string>"]
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
attachments: ['<string>'],
body: JSON.stringify('<string>'),
external_video_embeds: ['<string>']
},
type: '<string>'
}
})
};
fetch('https://api.member.dev/api/v1/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"conversation_id": "<string>",
"attachments": [
{
"id": "<string>",
"media_id": "<string>",
"role": "<string>",
"asset_kind": "<string>",
"file_id": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"status_upload": "<string>",
"thumbnail_url": "<string>",
"thumbnail_url_expires_at": "<string>",
"url": "<string>",
"url_expires_at": "<string>"
}
],
"author_contact_id": "<string>",
"author_display_name": "<string>",
"body": "<string>",
"created_at": "<string>",
"edited_at": "<string>",
"event": {
"previous_title": "<string>",
"title": "<string>"
},
"external_video_embeds": [
{}
],
"is_deleted": true,
"reaction_count": 123,
"reactions": [
{
"count": 123,
"emoji": "<string>",
"reacted_by_me": true,
"my_reaction_id": "<string>"
}
],
"reply_to": {
"author_contact_id": "<string>",
"author_display_name": "<string>",
"body": "<string>",
"created_at": "<string>",
"id": "<string>"
}
},
"id": "<string>",
"type": "<string>",
"links": {
"self": "<string>"
},
"meta": {},
"relationships": {}
},
"included": [
"<unknown>"
],
"links": {
"self": "<string>"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}community-messages
Edit Message
PATCH
/
api
/
v1
/
messages
/
{message_id}
Edit Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
⌘I